/**
 * Imports
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _virtex = require('virtex');

var _forEach = require('./forEach');

var _forEach2 = _interopRequireDefault(_forEach);

/**
 * Vars
 */

var setAttribute = _virtex.actions.setAttribute;
var appendChild = _virtex.actions.appendChild;

/**
 * Create a DOM element
 */

function createElement(doc, dispatch, tag, attrs, children) {
  var node = doc.createElement(tag);

  if (attrs) {
    (0, _forEach2['default'])(attrs, function (val, key) {
      if (val !== null && val !== undefined && key !== 'key') {
        dispatch(setAttribute(node, key, val));
      }
    });
  }

  if (children) {
    for (var i = 0, len = children.length; i < len; i++) {
      dispatch(appendChild(node, children[i]));
    }
  }

  return node;
}

/**
 * Exports
 */

exports['default'] = createElement;
module.exports = exports['default'];